<?php
/*
 * @Author: wang jun
 * @Date: 2021-10-29 16:06:41
 * @Last Modified by: wang jun
 * @Last Modified time: 2021-10-29 16:15:16
 */
namespace app\admin\model;

use think\Model;

class rolesmodel extends Model
{

    protected $table = 't_roles';

    public function insertData($data)
    {
        $id = $this->insertGetId($data);
        return empty($id) ? false : $id;
    }

    public function getInfo($where, $field = "*", $row = true)
    {
        $info = $this->field($field)->where($where);
        if ($row) {
            $info = $info->find();
        } else {
            $info = $info->select();
        }
        return empty($info) ? false : $info;
    }

    public function updateinfo($where, $updateData)
    {
        $row = $this->where($where)->update($updateData);
        return empty($row) ? false : $row;
    }

    public function deleteinfo($where)
    {
        $row = $this->where($where)->delete();
        return empty($row) ? false : $row;
    }

    public function getList($where = [], $field = "*", $page = 1, $size = 10, $order = "id desc", $group = "", $row = false)
    {
        $sqlObj = $this->where($where);
        if ("count" != $field) {
            $sqlObj = $sqlObj->field($field)->order($order)->group($group)->page($page, $size);
            if ($row) {
                $data = $sqlObj->find();
            } else {
                $data = $sqlObj->select();
            }
        } else {
            $data = $sqlObj = $sqlObj->count();
        }
        return $data;
    }
}
